# $Revision: 1.132 $, $Date: 2012/02/07 18:41:11 $
Summary:	Utility to get/set (E)IDE/SATA/SAS device parameters
Summary(de.UTF-8):	Dienstprogramm zum Einstellen von (E)IDE/SATA/SAS-Parametern
Summary(es.UTF-8):	Utilitario para ajustar parámetros de desempeño (E)IDE/SATA/SAS
Summary(fr.UTF-8):	Utilitaire pour ajuster les paramétres de performances des unités (E)IDE/SATA/SAS
Summary(pl.UTF-8):	Narzędzie do odczytu i ustawiania parametrów urządzeń (E)IDE/SATA/SAS
Summary(pt_BR.UTF-8):	Utilitário para ajustar parâmetros de performance (E)IDE/SATA/SAS
Summary(ru.UTF-8):	Утилита для показа/настройки параметров жестких дисков
Summary(tr.UTF-8):	(E)IDE/SATA/SAS sabit disklerle ilgili bazı parametreleri değiştirir
Summary(uk.UTF-8):	Утиліта для показу/установки параметрів жорстких дисків
Name:		hdparm
Version:	9.39
Release:	1
License:	BSD
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/hdparm/%{name}-%{version}.tar.gz
# Source0-md5:	2bc17b72403885d4faf959682944243b
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.8.pl
Patch0:		%{name}-man-patch
Patch1:		%{name}-ioctl.patch
URL:		http://sourceforge.net/projects/hdparm/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This is a utility for setting Hard Drive parameters. It is useful for
tweaking performance and for doing things like spinning down hard
drives to conserve power.

%description -l de.UTF-8
Dies ist ein Utility zum Einstellen der Festplatten-Parameter,
nützlich zum Feintunen der Leistung und zum Verlangsamen der
Drehgeschwindigkeit, wenn Strom gespart werden soll.

%description -l es.UTF-8
Este es un utilitario para ajustar parámetros del disco duro. Es útil
para mejorar el desempeño y para hacer cosas como diminuir la rotación
del disco para conservar energía.

%description -l fr.UTF-8
Utilitaire pour configurer les paramêtres du disque dur. Utile pour
améliorer les performances et pour ralentir les disques durs afin
d'économiser l'énergie.

%description -l pl.UTF-8
Pakiet ten zawiera program pozwalający manipulować różnymi parametrami
dysków (E)IDE, SATA i SAS. Przydaje się, gdy chcemy polepszyć
wydajność naszego dysku (E)IDE (na przykład opcje -u, -d), zatrzymać
aby nie zużywał prądu na laptopie, itd. Przed użyciem należy zapoznać
się ze stroną manuala.

%description -l pt_BR.UTF-8
Este é um utilitário para ajustar parâmetros do disco rígido. Ele é
útil para melhorar a performance e para fazer coisas como diminuir a
rotação do disco para conservar energia.

%description -l ru.UTF-8
Это полезная системная утилита для установки параметров жестких дисков
(E)IDE/SATA/SAS. Например, hdparm можно использовать для настройки
производительности и для остановки вращения дисков с целью экономии
энергии.

%description -l tr.UTF-8
Bu program ile sabit disk parametrelerini değiştirebilirsiniz.
Sistemin performansını arttırmak ya da örneğin disk hızını azaltarak
daha az güç harcamak için kullanabilirsiniz.

%description -l uk.UTF-8
Це корисна системна утиліта для установки параметрів жорстких дисків
(E)IDE/SATA/SAS. Наприклад, hdparm можна використовувати для настройки
швидкості обміну даними і для зупинки обертання дисків з метою
збереження енергії.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# precompiled binary
%{__rm} contrib/fix_standby

mv wiper/README.txt wiper/README-wiper.txt

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/{man8,pl/man8}} \
	$RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

install -p hdparm $RPM_BUILD_ROOT%{_sbindir}
cp -p hdparm.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -p contrib/idectl $RPM_BUILD_ROOT%{_sbindir}
install -p contrib/ultrabayd $RPM_BUILD_ROOT%{_sbindir}

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/rc.hdparm
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/hdparm
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/pl/man8/hdparm.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc contrib/README Changelog LICENSE.TXT README.acoustic TODO
%doc wiper/wiper.sh wiper/README-wiper.txt
%attr(755,root,root) %{_sbindir}/hdparm
%attr(755,root,root) %{_sbindir}/idectl
%attr(755,root,root) %{_sbindir}/ultrabayd
%attr(754,root,root) /etc/rc.d/rc.hdparm
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hdparm
%{_mandir}/man8/hdparm.8*
%lang(pl) %{_mandir}/pl/man8/hdparm.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hdparm.spec,v $
Revision 1.132  2012/02/07 18:41:11  adamg
- updated to 9.39

Revision 1.131  2012/01/09 13:21:56  arekm
- up to 9.38

Revision 1.130  2011/08/10 08:04:39  glen
- allow using disk labels from /dev/disk/by-id

Revision 1.129  2011/07/20 23:21:20  glen
- package wiper.sh (ssd wiper program, see http://www.anandtech.com/print/2738 for good article)

Revision 1.128  2011/01/25 08:01:19  lisu
- up to 9.37
- __rm macro

Revision 1.127  2010/11/11 21:53:43  lisu
- 9.36

Revision 1.126  2010/10/20 07:04:07  lisu
- 9.35

Revision 1.125  2010/10/18 20:40:33  caleb
- Up to 9.34, adapterized

Revision 1.124  2010/10/18 11:52:57  lisu
- 9.34

Revision 1.123  2010/10/07 08:06:51  lisu
- up to 9.33

Revision 1.122  2010/09/24 06:35:37  pawelz
- up to 9.32

Revision 1.121  2010/08/20 09:18:56  lisu
- updated to 9.30

Revision 1.120  2010/07/09 07:53:39  qboosh
- updated to 9.29

Revision 1.119  2010/03/10 06:22:37  arekm
- up to 9.28

Revision 1.118  2009/09/08 12:34:05  lisu
- up to 9.27

Revision 1.117  2009/08/31 09:17:00  lisu
- 9.26

Revision 1.116  2009/08/24 08:06:34  lisu
- up to 9.25

Revision 1.115  2009/08/04 07:40:30  lisu
- up to 9.22

Revision 1.114  2009/07/31 11:55:40  dzeus
- up to 9.19

Revision 1.113  2009/07/17 12:14:24  lisu
- up to 9.16

Revision 1.112  2009/04/17 16:56:21  charles
- updated to 9.15

Revision 1.111  2009/02/26 18:30:04  adamg
- updated to 9.12

Revision 1.110  2009/02/16 16:55:18  charles
- updated to 9.11

Revision 1.109  2009/02/09 23:49:10  adamg
- updated to 9.10

Revision 1.108  2009/01/12 00:04:38  charles
- updated to 9.8

Revision 1.107  2008/12/25 10:41:06  qboosh
- updated to 9.6

Revision 1.106  2008/11/06 20:51:56  qboosh
- updated to 9.3
- updated man,ioctl patches

Revision 1.105  2008/06/17 15:57:04  adamg
- updated to 8.9

Revision 1.104  2008-06-12 16:39:22  qboosh
- added ioctl patch (fixes device size detection without sysfs)

Revision 1.103  2008-06-12 06:12:57  arekm
- up to 8.8

Revision 1.102  2008-06-03 06:42:17  arekm
- up to 8.7

Revision 1.101  2008-03-01 13:12:44  qboosh
- updated to 8.6

Revision 1.100  2008-02-25 18:02:28  qboosh
- clarified (when and for whom upgrade is needed);
  such notes *always* require explanation

Revision 1.99  2008-02-25 07:46:12  paszczus
- updated to 8.5
- upgading is *strongly* recommended
[fixes security commands (passwd) broken since 8.0]

Revision 1.98  2008-02-20 18:18:27  qboosh
- updated to 8.4

Revision 1.97  2008-02-19 22:28:33  qboosh
- removed obsolete hpa patch
- release 1

Revision 1.96  2008-02-19 10:01:28  arekm
- 8.2, no idea if hpa patch still needed

Revision 1.95  2008-02-17 17:17:36  qboosh
- no longer IDE-only (now supports SATA/PATA/SAS through libata and old IDE subsystem)

Revision 1.94  2008-02-17 17:10:16  qboosh
- updated to 8.1 (HPA support merged upstream)
- removed obsolete sgio,i-lba48 patches, updated hpa patch (now it adds some
  SET_MAX command safety assurance)

Revision 1.93  2008-01-27 02:33:08  qboosh
- added i-lba48 and hpa patches
- test release 1.1

Revision 1.92  2008-01-26 21:23:44  qboosh
- added sgio patch
- more docs

Revision 1.91  2007-08-26 01:39:15  qboosh
- updated to 7.7

Revision 1.90  2007/06/24 10:36:23  qboosh
- updated to 7.6

Revision 1.89  2007/06/07 15:07:32  shadzik
- 7.5

Revision 1.88  2007/06/01 13:49:33  shadzik
- 7.4

Revision 1.87  2007/05/08 22:39:24  qboosh
- updated to 7.3

Revision 1.86  2007/04/30 15:26:22  shadzik
- up to 7.2

Revision 1.85  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.84  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.83  2007/01/28 12:01:19  glen
- improved initscript; rel 2

Revision 1.82  2006/10/25 16:51:23  shadzik
- 6.9

Revision 1.81  2006/10/25 16:50:13  shadzik
- 6.8

Revision 1.80  2006/10/09 21:04:33  qboosh
- updated to 6.7

Revision 1.79  2006/03/08 15:43:39  rotom
- up to 6.6

Revision 1.78  2006/03/01 15:51:23  rotom
- up to 6.5

Revision 1.77  2005/10/21 09:07:34  qboosh
- updated to 6.3

Revision 1.76  2005/04/19 19:19:17  paszczus
- Source0 and URL moved to sourceforge.net

Revision 1.75  2005/04/19 19:17:07  paszczus
- updated to 6.1

Revision 1.74  2005/04/16 14:33:04  darekr
- unified

Revision 1.73  2005/04/16 14:27:06  paszczus
- updated to 6.0
- adapratized
- new Source0 URL
- STBR

Revision 1.72  2005/02/11 13:49:49  areq
- 5.9

Revision 1.71  2004/11/04 21:07:26  paszczus
- removed bogus Source0-size

Revision 1.70  2004/11/04 18:36:09  areq
- 5.8

Revision 1.69  2004/10/11 09:23:14  paszczus
- added Source0-size

Revision 1.68  2004/09/02 09:28:29  paszczus
- updated to 5.7

Revision 1.67  2004/08/31 14:44:50  snurf
- typos / formatting / etc.

Revision 1.66  2004/08/28 21:44:54  qboosh
- updated to 5.6, removed obsolete readahead patch

Revision 1.65  2004/06/11 19:31:54  ankry
- rel. 2: pl manpage update

Revision 1.64  2004/04/16 09:55:25  paszczus
- added URL

Revision 1.63  2004/03/28 14:22:26  areq
- add readahead.patch s/readahead/reada_head/

Revision 1.62  2004/01/29 21:20:34  grzegol
- updated to 5.5
- removed outdated scsi-cdrom patch
- cosmetics

Revision 1.61  2003/05/27 08:59:02  trojan
- added Source-md5

Revision 1.60  2003/05/25 05:48:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.59  2003/05/20 09:56:08  trojan
- updated to 5.4

Revision 1.58  2002/11/27 11:48:40  areq
- 5.3, STBR
- update man.patch

Revision 1.57  2002/10/24 00:10:41  ankry
- updated man page; rel. 5

Revision 1.56  2002/10/20 18:04:16  ggodlewski
- setting speed on scsi cdrom is now possible

Revision 1.55  2002/09/16 10:32:40  adasi
- idectl and ultrabaud are now in /sbin, not in doc
- rel 3, stbr

Revision 1.54  2002/07/12 16:54:14  kloczek
- release 2.

Revision 1.53  2002/07/04 21:22:12  qboosh
- pass LDFLAGS

Revision 1.52  2002/07/04 07:57:51  blues
- well... start from rel. 1

Revision 1.51  2002/07/04 07:36:24  kloczek
- updated to 5.2 (bug fixes).

Revision 1.50  2002/05/30 13:02:05  qboosh
- added README.acoustic to doc
- release 2

Revision 1.49  2002/05/28 15:06:34  klark
- update to 5.1
- new %doc
- STBR

Revision 1.48  2002/05/02 20:01:53  kloczek
- merge translations from KSI.

Revision 1.47  2002/05/02 11:30:54  pioklo
- up to 4.9,STBR

Revision 1.46  2002/04/26 07:59:59  misiek
- updated to 4.8

Revision 1.45  2002/04/25 16:33:23  arturs
- fixed a small typo

Revision 1.44  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:29:02  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:13:16  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/12/18 21:51:31  ankry
- restore updated man patch

Revision 1.40  2001/12/18 16:41:41  misiek
- update to 4.6 (getting geometry fixes)

Revision 1.39  2001/12/15 18:59:11  qrczak
- hdparm-cpp_macros.patch: avoid #ifdef in cpp macros.
- Release 5.

Revision 1.38  2001/09/10 14:22:20  qboosh
- added %lang(pl) to pl man file

Revision 1.37  2001/09/10 10:56:13  ankry
- added pl man page
- fixed typos and marking in en man page

Revision 1.36  2001/08/15 15:52:14  kloczek
- release 3.

Revision 1.35  2001/07/30 20:13:32  baggins
- release 2
- new, devfs proof init script

Revision 1.34  2001/04/30 16:05:19  kloczek
- added using %{rpmcflags} macro.

Revision 1.33  2001/03/05 14:07:59  misiek
- 4.1; stb

Revision 1.32  2000/12/13 21:14:06  kloczek
- release 7 (for allow upgrade from RH 7),
- small fix in %install for %{degug} (do not use -s in install parameters).

Revision 1.31  2000/12/13 20:35:11  mkochano
- Release 4.
- Added "contrib" dir to documentation.
- Compression of manuals is now handled by rpm.

Revision 1.30  2000/07/10 16:03:00  zagrodzki
- release 3 (modified hdparm.init)

Revision 1.29  2000/06/09 07:22:58  kloczek
- added using %{__make} macro.

Revision 1.28  2000/05/21 14:46:41  kloczek
- spec adapterized.

Revision 1.27  2000/05/11 18:15:35  kloczek
- cocmetics.

Revision 1.26  2000/05/11 13:34:21  misiek
- added patch from www.linux-ide.org
  (use this hdparm with 2.2.15 and 2.3.99-pre3 and never)

Revision 1.25  2000/04/14 11:50:15  zagrodzki
- rc.hdparm instead of init.d/hdparm (hdparm should be run before
  anything is mounted rw

Revision 1.24  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:28  baggins
- translated kloczkish into english

Revision 1.22  2000/02/16 04:31:52  kloczek
- updated to 3.9.

Revision 1.21  2000/01/17 00:04:20  kloczek
- release 2,
- big endian/little endian patch for sparc (from rawhide),
- adapter(ized).

Revision 1.20  1999/12/25 12:57:08  alchemyx
- new version

Revision 1.19  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
